Bug 200952 - Oops/Unable to handle KNPD in ACPI call
Oops/Unable to handle KNPD in ACPI call
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2006-08-01 15:32 EDT by James
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 07:49:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log excerpt with oops (4.14 KB, text/plain)
2006-08-01 15:32 EDT, James
no flags Details
Another log excerpt with the oops. (6.33 KB, text/plain)
2006-08-11 07:29 EDT, James
no flags Details
Log excerpt from the third oops. (6.31 KB, text/plain)
2006-09-04 09:59 EDT, James
no flags Details
Log excerpt with fourth oops. (3.64 KB, text/plain)
2006-11-25 06:26 EST, James
no flags Details

  None (edit)
Description James 2006-08-01 15:32:42 EDT
Description of problem:
Kernel oopsed during some ACPI code (see attached). Happened after resume from
suspend-to-RAM.

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2157_FC5

How reproducible:
First time seen this. Kernel had been running happiliy for about 15 days with
suspends-to-RAM and hibernates in between.
  
Actual results:
See backtrace.

Expected results:
No oops.
Comment 1 James 2006-08-01 15:32:43 EDT
Created attachment 133431 [details]
Log excerpt with oops
Comment 2 James 2006-08-11 07:29:37 EDT
Created attachment 134011 [details]
Another log excerpt with the oops.
Comment 3 James 2006-08-11 07:31:39 EDT
It happened again. Above is the log extract from another oops --- in the same
appication, gkrellm. Backtrace is more or less identical. It also happened
shortly after a resume from hibernate, where I noticed that the ACPI state had
become confused anyway (kernel thought power was plugged in, when running on
battery).
Comment 4 James 2006-09-04 09:58:00 EDT
Happened yet again in 2.6.17-1.2174_FC5 with gkrellm. Log excerpt follows.
Comment 5 James 2006-09-04 09:59:03 EDT
Created attachment 135494 [details]
Log excerpt from the third oops.
Comment 6 Dave Jones 2006-10-16 17:51:28 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Dave Jones 2006-11-24 17:18:51 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.
Comment 8 James 2006-11-25 06:26:50 EST
Created attachment 142109 [details]
Log excerpt with fourth oops.

ACPI subsystem oops, this time in kernel-2.6.18-1.2849.fc6 during a hald
syscall.
Comment 9 James 2007-06-11 07:50:44 EDT
Seems to have been mitigated by using ec_intr=0 and acpi_serialize options.

Note You need to log in before you can comment on or make changes to this bug.